// Learn TypeScript:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.EditBox)
    eb0: cc.EditBox = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {

    }
    show_hide_password_pressed() {
        if (this.eb0.inputFlag === cc.EditBox.InputFlag.PASSWORD) {
            this.eb0.inputFlag = cc.EditBox.InputFlag.DEFAULT;
        }
        else if (this.eb0.inputFlag === cc.EditBox.InputFlag.DEFAULT) {
            this.eb0.inputFlag = cc.EditBox.InputFlag.PASSWORD;
        }
    }
    // update (dt) {}
}
